Bug 118847 - xsane saves files as .ppm, not .pnm
xsane saves files as .ppm, not .pnm
Product: Fedora
Classification: Fedora
Component: shared-mime-info (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Depends On:
  Show dependency treegraph
Reported: 2004-03-21 10:33 EST by Joerg Skottke
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.20-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-06 07:55:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joerg Skottke 2004-03-21 10:33:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
> file brauerei.pnm
brauerei.pnm: Netpbm PPM "rawbits" image data

Nautilus warns about a security risk. Correcting the extension to
match the magic solves the problem.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. use xsane (as root) to scan a file and save it somewhere
2. try to open the file in Nautilus

Actual Results:  A warning is displayed about wrong filetype and a
possible security risk

Expected Results:  file should be displayed

Additional info:
Comment 1 Tim Waugh 2004-03-26 05:53:03 EST
I think nautilus is in the wrong here.
Comment 2 Alexander Larsson 2004-03-29 03:47:53 EST
I think this is a mime info bug. It might be that we need alias
support in the mime data to handle this.
Comment 3 Bastien Nocera 2007-02-02 05:26:35 EST
Yep, fixed upstream now:

2007-02-02  Bastien Nocera  <hadess@hadess.net>

        * freedesktop.org.xml.in: Make PGM, PBM and PPM sub-classes
        of PNM (RH #118847)
Comment 4 Bastien Nocera 2007-02-06 07:55:12 EST
Fixed in shared-mime-info-0.20-1.fc7

Note You need to log in before you can comment on or make changes to this bug.